RFKILL(8)

BEZEICHNUNG
rfkill - Werkzeug zum Aktivieren und Deaktivieren von Drahtlosgeräten

ÜBERSICHT

rfkill [Optionen] [Befehl] [ID|Typ ...]

BESCHREIBUNG

rfkill listet Drahtlosgeräte auf und aktiviert oder deaktiviert sie.

Das Listenausgabeformat des Befehls ist veraltet und wird nur zwecks Abwärtskompatibilität behalten. Das neue Ausgabeformat ist der Standard, wenn kein Befehl angegeben oder die Option --output verwendet wird.

Die standardmäßige Ausgabe kann sich ändern. Daher sollten Sie vermeiden, standardmäßige Ausgaben in Ihren Skripten zu verwenden, wo immer es möglich ist. Definieren Sie in Umgebungen, wo eine stabile Ausgabe erforderlich ist, stets die erwarteten Spalten, indem Sie die Option --output zusammen mit einer Spaltenliste angeben.

OPTIONEN

-J, --json
    verwendet das JSON-Ausgabeformat.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output
    gibt an, welche Spalten ausgegeben werden sollen. Mit --help erhalten Sie eine Liste aller verfügbaren Spalten.

--output-all
    gibt alle verfügbaren Spalten aus.

-r, --raw
    verwendet das Rohformat für die Ausgabe.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

BEFEHLE

help
    zeigt einen Hilfetext an und beendet das Programm.

event
    wartet auf rfkill-Ereignisse und schreibt sie in die Standardausgabe.

list [Kennung|Typ …]
    listet den aktuellen Status aller verfügbaren Geräte auf. Das Befehlsausgabeformat ist veraltet, siehe den Abschnitt BESCHREIBUNG. Es ist empfehlenswert, mit list zu prüfen, ob Kennung oder Typ anwendbar sind, bevor Sie block oder unblock setzen. Die spezielle Typzeichenkette all berücksichtigt alles. Die Verwendung mehrerer Kennung- oder Typ-Argumente wird ebenfalls unterstützt. Mögliche Typen sind all, {wlan | wifi}, bluetooth, {uwb | ultrawideband}, wimax, wwan, gps, fm, nfc.

block Kennung|Typ […]
    deaktiviert das entsprechende Gerät.

unblock Kennung|Typ […]
    aktiviert das entsprechende Gerät. Wenn das Gerät hart blockiert ist, zum Beispiel durch einen Hardwareschalter, ist es weiterhin nicht verfügbar, obwohl es nun auf Softwareebene nicht mehr blockiert ist.

toggle Kennung|Typ […]
    aktiviert oder deaktiviert das entsprechende Gerät.

BEISPIEL

      rfkill --output KENNUNG,TYP
      rfkill block all
      rfkill unblock wlan
      rfkill block bluetooth uwb wimax wwan gps fm nfc

AUTOREN

rfkill wurde ursprünglich von und geschrieben. Der Code wurde später von und für das Util-linux-Projekt angepasst.

Diese Handbuchseite wurde von für das Debian-Projekt geschrieben (darf aber auch von anderen verwendet werden).

SIEHE AUCH

powertop(8), systemd-rfkill(8),

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl rfkill ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.